Package org.apache.commons.io.output

# Class UnsynchronizedByteArrayOutputStream.Builder

java.lang.Object
org.apache.commons.io.build.AbstractSupplier<UnsynchronizedByteArrayOutputStream,UnsynchronizedByteArrayOutputStream.Builder>
org.apache.commons.io.build.AbstractOriginSupplier<UnsynchronizedByteArrayOutputStream,UnsynchronizedByteArrayOutputStream.Builder>
org.apache.commons.io.build.AbstractStreamBuilder<UnsynchronizedByteArrayOutputStream,UnsynchronizedByteArrayOutputStream.Builder>
org.apache.commons.io.output.UnsynchronizedByteArrayOutputStream.Builder

All Implemented Interfaces:
  `IOSupplier<UnsynchronizedByteArrayOutputStream>`

Enclosing class:
  `UnsynchronizedByteArrayOutputStream`

public static class UnsynchronizedByteArrayOutputStream.Builder extends AbstractStreamBuilder<UnsynchronizedByteArrayOutputStream,UnsynchronizedByteArrayOutputStream.Builder>
Builds a new `UnsynchronizedByteArrayOutputStream`.

Using File IO:

     UnsynchronizedByteArrayOutputStream s = UnsynchronizedByteArrayOutputStream.builder()
       .setBufferSize(8192)
       .get();

Using NIO Path:

     UnsynchronizedByteArrayOutputStream s = UnsynchronizedByteArrayOutputStream.builder()
       .setBufferSize(8192)
       .get();

See Also:
  - `get()`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`
  Constructs a new builder of `UnsynchronizedByteArrayOutputStream`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `UnsynchronizedByteArrayOutputStream`
  `get()`
  Builds a new `UnsynchronizedByteArrayOutputStream`.

  ### Methods inherited from class org.apache.commons.io.build.AbstractStreamBuilder

  `getBufferSize, getBufferSizeDefault, getByteArray, getChannel, getCharSequence, getCharset, getCharsetDefault, getFile, getInputStream, getOpenOptions, getOutputStream, getPath, getRandomAccessFile, getReader, getWriter, setBufferSize, setBufferSize, setBufferSizeChecker, setBufferSizeDefault, setBufferSizeMax, setCharset, setCharset, setCharsetDefault, setOpenOptions`

  ### Methods inherited from class org.apache.commons.io.build.AbstractOriginSupplier

  `checkOrigin, getOrigin, hasOrigin, newByteArrayOrigin, newChannelOrigin, newCharSequenceOrigin, newFileOrigin, newFileOrigin, newInputStreamOrigin, newOutputStreamOrigin, newPathOrigin, newPathOrigin, newRandomAccessFileOrigin, newRandomAccessFileOrigin, newReaderOrigin, newURIOrigin, newWriterOrigin, setByteArray, setChannel, setCharSequence, setFile, setFile, setInputStream, setOrigin, setOutputStream, setPath, setPath, setRandomAccessFile, setRandomAccessFile, setReader, setURI, setWriter`

  ### Methods inherited from class org.apache.commons.io.build.AbstractSupplier

  `asThis`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.io.function.IOSupplier

  `asSupplier, getUnchecked`

- ## Constructor Details

  - ### Builder

    public Builder()
    Constructs a new builder of `UnsynchronizedByteArrayOutputStream`.

- ## Method Details

  - ### get

    public UnsynchronizedByteArrayOutputStream get()
    Builds a new `UnsynchronizedByteArrayOutputStream`.

    This builder uses the following aspects:

    - `AbstractStreamBuilder.getBufferSize()`
    Returns:
      a new instance.
    See Also:
      - `AbstractOrigin.getByteArray()`
      - `IOSupplier.getUnchecked()`